> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Embed Multilingual v3.0

> 言語横断検索向けのCohereテキスト埋め込みモデル。

言語横断検索向けのCohereテキスト埋め込みモデル。

## モデル情報

| フィールド | 説明 |
| - | - |
| `model` | embed-multilingual-v3.0 |
| `context` | 512トークン |
| `default dimensions` | 1024 |
| `endpoint` | POST /v1/embeddings |

コンテキストおよび出力のサイズは、モデルの仕様を示しています。実際のリクエスト制限、提供状況、および課金は、MixRouteのルートによって異なります。

## 機能と使用方法

* インデックスに登録するドキュメントにはinput\_type=search\_documentを、ユーザーのクエリにはsearch\_queryを設定してください。classificationとclusteringでは、その他のタスク種別を選択します。
* このエンドポイントの例はテキストを埋め込みます。ネイティブのCohereの画像／PDF入力オブジェクトが、OpenAI互換のinputフィールドで使えるとは考えないでください。
* ドキュメントとクエリには、同じモデルとベクトル次元数を使用してください。出力ベクトルはdata\[].embeddingに返されます。

## リクエスト例

リクエストを行う前に`MIXROUTE_API_KEY`を設定してください。

```bash theme={null}
curl --request POST "https://api.mixroute.ai/v1/embeddings" \
  --header "Authorization: Bearer $MIXROUTE_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "embed-multilingual-v3.0",
  "input": [
    "An API reference for developers."
  ],
  "input_type": "search_document",
  "encoding_format": "float"
}'
```

## リクエストフィールド

| フィールド | 説明 |
| - | - |
| `model` | 必須。上記の正確なモデルIDを使用してください。 |
| `input` | 必須のテキスト文字列、または文字列の配列。 |
| `input_type` | Cohereの埋め込みでは必須。タスクの種類を選択します。 |
| `encoding_format` | JSONのベクトル配列にはfloatを使用してください。 |

完全なリクエスト形式：[埋め込み](/ja/api-reference/endpoint/embeddings)。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.